|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions | Variables
PWM HS Driver
MPLABX MCC Melody Code Generator

High-Resolution Pulse-Width Modulated (PWM) with Fine Edge Placement using dsPIC MCUs. More...

Collaboration diagram for PWM HS Driver:

## Files
file | pwm.h
| This is the generated driver header file for the PWM driver.
file | pwm_features.h
| This is the generated module feature header file for PWM driver. This file provides module feature list available on the selected device. The macros defined in this file provides the flexibility to easily migrate the user application to other device which might have varied feature list.
file | pwm_hs_types.h
| This is the generated driver types header file for the PWM driver.
file | pwm.c
| This is the generated driver source file for PWM driver.

## Data Structures
struct | PWM_HS_INTERFACE
| Structure containing the function pointers of PWM driver. More...

## Macros
#define | PWM_GENERATOR_MASTER_PHASE_FEATURE_AVAILABLE 1
| This macro defines the PWM master phase feature availability in the PWM driver.
#define | PWM_GENERATOR_ENABLE_FEATURE_AVAILABLE 1
| This macro defines the PWM generator enable feature availability in the PWM driver.
#define | PWM_SOFTWARE_UPDATE_FEATURE_AVAILABLE 1
| This macro defines the PWM data update request feature availability in the PWM driver.
#define | PWM_FAULT_LATCH_SOFTWARE_CLEAR_FEATURE_AVAILABLE 1
| This macro defines the PWM fault latch clear through software feature availability in the PWM driver.
#define | PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE 1
| This macro defines the PWM multiple trigger feature availability in the PWM driver.
#define | PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE 1
| This macro defines the PWM multiple trigger enable availability in the PWM driver.
#define | PWM_SPECIAL_EVENT_FEATURE_AVAILABLE 0
| This macro defines the PWM special event trigger feature availability in the PWM driver.
#define | PWM_FAULT_MODE_ENABLE_FEATURE_AVAILABLE 0
| This macro defines the PWM fault mode enable and disable feature availability in the PWM driver.

## Functions
void | PWM_Initialize (void)
| Initializes PWM module, using the given initialization data.
void | PWM_Deinitialize (void)
| Deinitializes the PWM to POR values.
static void | PWM_GeneratorEnable (enum PWM_GENERATOR genNum)
| This inline function enables the specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_GeneratorDisable (enum PWM_GENERATOR genNum)
| This inline function disables the specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_ModeSet (enum PWM_GENERATOR genNum, enum PWM_MODES mode)
| This inline function sets the operating mode of specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_Enable (void)
| This inline function will enable all the generators of PWM module.
static void | PWM_Disable (void)
| This inline function will disable all the generators of PWM module.
static void | PWM_MasterPeriodSet (uint16_t masterPeriod)
| This inline function sets the period value in count for the Master Time Base generator.
static void | PWM_MasterDutyCycleSet (uint16_t masterDutyCycle)
| This inline function sets the PWM master duty cycle register.
static void | PWM_MasterPhaseSet (uint16_t masterPhase)
| This inline function sets the phase value in count for the Master Time Base generator.
static void | PWM_PeriodSet (enum PWM_GENERATOR genNum, uint16_t period)
| This inline function sets the period value in count for the PWM generator specific Time Base.
static void | PWM_DutyCycleSet (enum PWM_GENERATOR genNum, uint16_t dutyCycle)
| This inline function sets the PWM generator specific duty cycle register.
static void | PWM_PhaseSelect (enum PWM_GENERATOR genNum, enum PWM_SOURCE_SELECT source)
| This inline function selects the PWM generator source for Phase.
static void | PWM_PhaseSet (enum PWM_GENERATOR genNum, uint16_t phase)
| This inline function sets the phase value in count for the PWM generator specific Time Base.
static void | PWM_OverrideDataSet (enum PWM_GENERATOR genNum, uint16_t overrideData)
| This inline function updates PWM override data bits with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideDataHighSet (enum PWM_GENERATOR genNum, bool overrideDataHigh)
| This inline function updates PWM override high data bit with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideDataLowSet (enum PWM_GENERATOR genNum, bool overrideDataLow)
| This inline function updates PWM override low data bit with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static uint16_t | PWM_OverrideDataGet (enum PWM_GENERATOR genNum)
| This inline function gets PWM override value for the PWM Generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideHighEnable (enum PWM_GENERATOR genNum)
| This inline function enables PWM override on PWMH output for specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideLowEnable (enum PWM_GENERATOR genNum)
| This inline function enables PWM override on PWML output for specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideHighDisable (enum PWM_GENERATOR genNum)
| This inline function disables PWM override on PWMH output for specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_OverrideLowDisable (enum PWM_GENERATOR genNum)
| This inline function disables PWM override on PWML output for specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_DeadTimeLowSet (enum PWM_GENERATOR genNum, uint16_t deadtimeLow)
| This inline function updates PWM Deadtime low register with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_DeadTimeHighSet (enum PWM_GENERATOR genNum, uint16_t deadtimeHigh)
| This inline function updates PWM Deadtime high register with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_DeadTimeSet (enum PWM_GENERATOR genNum, uint16_t deadtime)
| This inline function updates PWM Deadtime low and high register with the requested value for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_TriggerCompareValueSet (enum PWM_GENERATOR genNum, uint16_t trigCompValue)
| This inline function sets the PWM trigger compare value in count for the PWM Generator selected by the argument PWM_GENERATOR.
static void | PWM_GeneratorInterruptEnable (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| This inline function enables interrupt requests for the PWM Generator selected by the argument PWM_GENERATOR.
static void | PWM_GeneratorInterruptDisable (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| This inline function disables interrupt requests for the PWM Generator selected by the argument PWM_GENERATOR.
static void | PWM_GeneratorEventStatusClear (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| This inline function clears the PWM interrupt status for the PWM Generator selected by the argument PWM_GENERATOR.
static bool | PWM_GeneratorEventStatusGet (enum PWM_GENERATOR genNum, enum PWM_GENERATOR_INTERRUPT interrupt)
| This inline function gets the PWM interrupt status for the PWM Generator selected by the argument PWM_GENERATOR.
static void | PWM_SoftwareUpdateRequest (enum PWM_GENERATOR genNum)
| This inline function requests to update the data registers for specific PWM generator selected by the argument PWM_GENERATOR.
static bool | PWM_SoftwareUpdatePending (enum PWM_GENERATOR genNum)
| This inline function gets the status of the update request for specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_TriggerACompareValueSet (enum PWM_GENERATOR genNum, uint16_t trigA)
| This inline function sets the Trigger A compare value in count for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_TriggerBCompareValueSet (enum PWM_GENERATOR genNum, uint16_t trigB)
| This inline function sets the Trigger B compare value in count for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_TriggerCCompareValueSet (enum PWM_GENERATOR genNum, uint16_t trigC)
| This inline function sets the Trigger C compare value in count for a specific PWM generator selected by the argument PWM_GENERATOR.
static void | PWM_Trigger1Enable (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| This inline function enables ADC trigger 1 for the specific compare register selected by the argument PWM_GENERATOR.
static void | PWM_Trigger1Disable (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| This inline function disables ADC trigger 1 for the specific compare register selected by the argument PWM_GENERATOR.
static void | PWM_Trigger2Enable (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| This inline function enables ADC trigger 2 for the specific compare register selected by the argument PWM_GENERATOR.
static void | PWM_Trigger2Disable (enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister)
| This inline function disables ADC trigger 2 for the specific compare register selected by the argument PWM_GENERATOR.
static void | PWM_FaultModeLatchClear (enum PWM_GENERATOR genNum)
| This inline function clears the status of PWM latched fault mode for the PWM Generator selected by the argument PWM_GENERATOR.
void | PWM_GeneratorEOCEventCallbackRegister (void(*callback)(enum PWM_GENERATOR genNum))
| This function can be used to override default callback PWM_GeneratorEOCEventCallback and to define custom callback for PWM EOCEvent event.
void | PWM_GeneratorEOCEventCallback (enum PWM_GENERATOR genNum)
| This is the default callback with weak attribute. The user can override and implement the default callback without weak attribute or can register a custom callback function using PWM_EOCEventCallbackRegister.
void | PWM_GeneratorTasks (enum PWM_GENERATOR intGen)
| This is a tasks function for PWM1.

## Variables
const struct PWM_HS_INTERFACE | PWM_HS
| Structure object of type PWM_HS_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. PWM_HS can be changed by the user in the PWM user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

## Macro Definition Documentation

## ◆ PWM_FAULT_LATCH_SOFTWARE_CLEAR_FEATURE_AVAILABLE

#define PWM_FAULT_LATCH_SOFTWARE_CLEAR_FEATURE_AVAILABLE 1

APIs Supported:
PWM_FaultModeLatchClear(PWM_GENERATOR genNum);
Refer driver header file for detailed description of the APIs.

Definition at line 95 of file pwm_features.h.

## ◆ PWM_FAULT_MODE_ENABLE_FEATURE_AVAILABLE

#define PWM_FAULT_MODE_ENABLE_FEATURE_AVAILABLE 0

APIs Supported:
NA

Definition at line 146 of file pwm_features.h.

## ◆ PWM_GENERATOR_ENABLE_FEATURE_AVAILABLE

#define PWM_GENERATOR_ENABLE_FEATURE_AVAILABLE 1

APIs Supported:
PWM_GeneratorEnable(PWM_GENERATOR genNum);
PWM_GeneratorDisable(PWM_GENERATOR genNum);
Refer driver header file for detailed description of the APIs.

Definition at line 72 of file pwm_features.h.

## ◆ PWM_GENERATOR_MASTER_PHASE_FEATURE_AVAILABLE

#define PWM_GENERATOR_MASTER_PHASE_FEATURE_AVAILABLE 1

Macros defined for features supported in the device

APIs Supported:
PWM_MasterPhaseSet(uint16_t masterPhase);
Refer driver header file for detailed description of the APIs.

Definition at line 60 of file pwm_features.h.

## ◆ PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE

#define PWM_MULTIPLE_TRIGGER_FEATURE_AVAILABLE 1

APIs Supported:
PWM_TriggerACompareValueSet(PWM_GENERATOR genNum, uint16_t trigCompValue);
PWM_TriggerBCompareValueSet(PWM_GENERATOR genNum, uint16_t trigCompValue);
PWM_TriggerCCompareValueSet(PWM_GENERATOR genNum, uint16_t trigCompValue);
Refer driver header file for detailed description of the APIs.

Definition at line 108 of file pwm_features.h.

## ◆ PWM_SOFTWARE_UPDATE_FEATURE_AVAILABLE

#define PWM_SOFTWARE_UPDATE_FEATURE_AVAILABLE 1

APIs Supported:
PWM_SoftwareUpdateRequest(PWM_GENERATOR genNum);
PWM_SoftwareUpdatePending(PWM_GENERATOR genNum);
Refer driver header file for detailed description of the APIs.

Definition at line 84 of file pwm_features.h.

## ◆ PWM_SPECIAL_EVENT_FEATURE_AVAILABLE

#define PWM_SPECIAL_EVENT_FEATURE_AVAILABLE 0

Macros defined for features not supported in the device

APIs Supported:
NA

Definition at line 136 of file pwm_features.h.

## ◆ PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE

#define PWM_TRIGGER_ENABLE_FEATURE_AVAILABLE 1

APIs Supported:
PWM_Trigger1Enable(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister);
PWM_Trigger1Disable(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister);
PWM_Trigger2Enable(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister);
PWM_Trigger2Disable(enum PWM_GENERATOR genNum, enum PWM_TRIGGER_COMPARE compareRegister);
Refer driver header file for detailed description of the APIs.

Definition at line 122 of file pwm_features.h.

## Function Documentation

## ◆ PWM_DeadTimeHighSet()

static void PWM_DeadTimeHighSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | deadtimeHigh
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | deadtimeHigh | - Deadtime high value

Returns
  none

Definition at line 820 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_DeadTimeLowSet()

static void PWM_DeadTimeLowSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | deadtimeLow
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | deadtimeLow | - Deadtime low value

Returns
  none

Definition at line 793 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_DeadTimeSet()

static void PWM_DeadTimeSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | deadtime
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | deadtimeHigh | - Deadtime value

Returns
  none

Definition at line 847 of file pwm.h.

## ◆ PWM_Deinitialize()

void PWM_Deinitialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 375 of file pwm.c.

Here is the call graph for this function:

## ◆ PWM_Disable()

static void PWM_Disable | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  none

Definition at line 426 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_DutyCycleSet()

static void PWM_DutyCycleSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | dutyCycle
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | dutyCycle | - PWM generator duty cycle

Returns
  none

Definition at line 500 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_Enable()

static void PWM_Enable | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  none

Definition at line 412 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_FaultModeLatchClear()

static void PWM_FaultModeLatchClear | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 1670 of file pwm.h.

## ◆ PWM_GeneratorDisable()

static void PWM_GeneratorDisable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 328 of file pwm.h.

## ◆ PWM_GeneratorEnable()

static void PWM_GeneratorEnable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 302 of file pwm.h.

## ◆ PWM_GeneratorEOCEventCallback()

void PWM_GeneratorEOCEventCallback | ( | enum PWM_GENERATOR | genNum | ) |

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Here is the caller graph for this function:

## ◆ PWM_GeneratorEOCEventCallbackRegister()

void PWM_GeneratorEOCEventCallbackRegister | ( | void(*)(enum PWM_GENERATOR genNum) | callback | ) |

Parameters

  [in] | callback | - Address of the callback function

Returns
  none

Definition at line 511 of file pwm.c.

Here is the caller graph for this function:

## ◆ PWM_GeneratorEventStatusClear()

static void PWM_GeneratorEventStatusClear | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_GENERATOR_INTERRUPT | interrupt
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | interrupt | - PWM generator interrupt source

Returns
  none

Definition at line 1071 of file pwm.h.

## ◆ PWM_GeneratorEventStatusGet()

static bool PWM_GeneratorEventStatusGet | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_GENERATOR_INTERRUPT | interrupt
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | interrupt | - PWM generator interrupt source

Returns
  true - Interrupt is pending
  false - Interrupt is not pending

Definition at line 1155 of file pwm.h.

## ◆ PWM_GeneratorInterruptDisable()

static void PWM_GeneratorInterruptDisable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_GENERATOR_INTERRUPT | interrupt
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | interrupt | - PWM generator interrupt source

Returns
  none

Definition at line 988 of file pwm.h.

## ◆ PWM_GeneratorInterruptEnable()

static void PWM_GeneratorInterruptEnable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_GENERATOR_INTERRUPT | interrupt
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | interrupt | - PWM generator interrupt source

Returns
  none

Definition at line 905 of file pwm.h.

## ◆ PWM_GeneratorTasks()

void PWM_GeneratorTasks | ( | enum PWM_GENERATOR | intGen | ) |

Parameters

  [in] | intGen | - PWM generator number

Returns
  none

Definition at line 525 of file pwm.c.

## ◆ PWM_Initialize()

void PWM_Initialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 108 of file pwm.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PWM_MasterDutyCycleSet()

static void PWM_MasterDutyCycleSet | ( | uint16_t | masterDutyCycle | ) |
| inlinestatic

Parameters

  [in] | masterDutyCycle | - Master Duty Cycle value

Returns
  none

Definition at line 451 of file pwm.h.

## ◆ PWM_MasterPeriodSet()

static void PWM_MasterPeriodSet | ( | uint16_t | masterPeriod | ) |
| inlinestatic

Parameters

  [in] | masterPeriod | - Period value in count

Returns
  none

Definition at line 440 of file pwm.h.

## ◆ PWM_MasterPhaseSet()

static void PWM_MasterPhaseSet | ( | uint16_t | masterPhase | ) |
| inlinestatic

Parameters

  [in] | masterPhase | - Phase value in count

Returns
  none

Definition at line 462 of file pwm.h.

## ◆ PWM_ModeSet()

static void PWM_ModeSet | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_MODES | mode
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | mode | - PWM operating mode

Returns
  none

Definition at line 355 of file pwm.h.

## ◆ PWM_OverrideDataGet()

static uint16_t PWM_OverrideDataGet | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  Override data for the PWM Generator selected by the argument PWM_GENERATOR.

Definition at line 660 of file pwm.h.

## ◆ PWM_OverrideDataHighSet()

static void PWM_OverrideDataHighSet | ( | enum PWM_GENERATOR | genNum,
|  | bool | overrideDataHigh
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | overrideDataHigh | - Override data

Returns
  none

Definition at line 606 of file pwm.h.

## ◆ PWM_OverrideDataLowSet()

static void PWM_OverrideDataLowSet | ( | enum PWM_GENERATOR | genNum,
|  | bool | overrideDataLow
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | overrideDataLow | - Override data

Returns
  none

Definition at line 633 of file pwm.h.

## ◆ PWM_OverrideDataSet()

static void PWM_OverrideDataSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | overrideData
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | overrideData | - Override data

Returns
  none

Definition at line 579 of file pwm.h.

## ◆ PWM_OverrideHighDisable()

static void PWM_OverrideHighDisable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 740 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_OverrideHighEnable()

static void PWM_OverrideHighEnable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 688 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_OverrideLowDisable()

static void PWM_OverrideLowDisable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 766 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_OverrideLowEnable()

static void PWM_OverrideLowEnable | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 714 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_PeriodSet()

static void PWM_PeriodSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | period
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | period | - PWM generator period value in count

Returns
  none

Definition at line 474 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_PhaseSelect()

static void PWM_PhaseSelect | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_SOURCE_SELECT | source
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | source | - PWM generator source select

Returns
  none

Definition at line 526 of file pwm.h.

## ◆ PWM_PhaseSet()

static void PWM_PhaseSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | phase
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | phase | - PWM generator phase value in count

Returns
  none

Definition at line 552 of file pwm.h.

## ◆ PWM_SoftwareUpdatePending()

static bool PWM_SoftwareUpdatePending | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  true - Software update is pending
  false - Software update is not pending

Definition at line 1267 of file pwm.h.

## ◆ PWM_SoftwareUpdateRequest()

static void PWM_SoftwareUpdateRequest | ( | enum PWM_GENERATOR | genNum | ) |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number

Returns
  none

Definition at line 1239 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_Trigger1Disable()

static void PWM_Trigger1Disable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_TRIGGER_COMPARE | compareRegister
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | compareRegister | - PWM generator number

Returns
  none

Definition at line 1452 of file pwm.h.

## ◆ PWM_Trigger1Enable()

static void PWM_Trigger1Enable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_TRIGGER_COMPARE | compareRegister
| ) |  |
| inlinestatic

Precondition
  Trigger value has to be set using PWM_TriggerACompareValueSet, PWM_TriggerBCompareValueSet or PWM_TriggerCCompareValueSet before calling this function.

Parameters

  [in] | genNum | - PWM generator number
  [in] | compareRegister | - PWM generator number

Returns
  none

Definition at line 1380 of file pwm.h.

## ◆ PWM_Trigger2Disable()

static void PWM_Trigger2Disable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_TRIGGER_COMPARE | compareRegister
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | compareRegister | - PWM generator number

Returns
  none

Definition at line 1599 of file pwm.h.

## ◆ PWM_Trigger2Enable()

static void PWM_Trigger2Enable | ( | enum PWM_GENERATOR | genNum,
|  | enum PWM_TRIGGER_COMPARE | compareRegister
| ) |  |
| inlinestatic

Precondition
  Trigger value has to be set using PWM_TriggerACompareValueSet, PWM_TriggerBCompareValueSet or PWM_TriggerCCompareValueSet before calling this function.

Parameters

  [in] | genNum | - PWM generator number
  [in] | compareRegister | - PWM generator number

Returns
  none

Definition at line 1527 of file pwm.h.

## ◆ PWM_TriggerACompareValueSet()

static void PWM_TriggerACompareValueSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | trigA
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | trigA | - Trigger A compare value in count

Returns
  none

Definition at line 1296 of file pwm.h.

## ◆ PWM_TriggerBCompareValueSet()

static void PWM_TriggerBCompareValueSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | trigB
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | trigB | - Trigger B compare value in count

Returns
  none

Definition at line 1323 of file pwm.h.

## ◆ PWM_TriggerCCompareValueSet()

static void PWM_TriggerCCompareValueSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | trigC
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | trigC | - Trigger C compare value in count

Returns
  none

Definition at line 1350 of file pwm.h.

Here is the caller graph for this function:

## ◆ PWM_TriggerCompareValueSet()

static void PWM_TriggerCompareValueSet | ( | enum PWM_GENERATOR | genNum,
|  | uint16_t | trigCompValue
| ) |  |
| inlinestatic

Parameters

  [in] | genNum | - PWM generator number
  [in] | trigCompValue | - Trigger compare value in count

Returns
  none

Definition at line 878 of file pwm.h.

## Variable Documentation

## ◆ PWM_HS

const struct PWM_HS_INTERFACE PWM_HS
| extern

Definition at line 50 of file pwm.c.